%define name radeon-firmware
%define version 20160712
%define release %mkrel 1

Summary: ATI/AMD Radeon firmware files
Name:	 %{name}
Version: %{version}
Release: %{release}
# extracted from git://git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware.git
# all files in radeon/ dir, LICENSE.radeon_rlc and WHENCE (license for some files)
# git archive --prefix=radeon-firmware/ HEAD radeon LICENSE.radeon_rlc WHENCE | xz > radeon-firmware-20110601.tar.xz
Source0: %{name}-%{version}.tar.xz
License: Freeware
Group:	 System/Kernel and hardware
Url:	 http://ati.amd.com/
BuildArch: noarch
Requires(post): drakxtools-backend
Requires(post): drakx-kbd-mouse-x11
Requires(postun): drakx-kbd-mouse-x11
Obsoletes: radeon-rlc-firmware
Conflicts: kernel-firmware < 20120219-1
Conflicts: kernel-firmware-nonfree < 20120219-1

%description
Firmware files for AMD/ATI Radeon graphics cards.

This package contains all the firmware files (including RLC) for the
following Radeon series: R100, R200, R300, R400, R500, R600, R700,
Evergreen, Fusion, Northern Islands, Southern Islands, Cayman, Llano,
Trinity, Oland, Hainan, Bonaire, Kabini, Kaveri, Hawaii, Mullins.
It also have firmwares for amdgpu: carrizo, fiji, stoney, tonga.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware/amdgpu
install -m644 amdgpu/* %{buildroot}/lib/firmware/amdgpu/
install -d %{buildroot}/lib/firmware/radeon
install -m644 radeon/* %{buildroot}/lib/firmware/radeon/

%clean
rm -rf %{buildroot}

%post
if [ -z "$DURING_INSTALL" -a "$1" = 1 ] ; then
    /usr/sbin/bootloader-config --action rebuild-initrds

    # remove nokmsboot if ok
    /sbin/display_driver_helper --setup-boot-kms &>/dev/null || :
fi

%postun
if [ "$1" = 0 ] ; then
    # add nokmsboot if needed
    /sbin/display_driver_helper --setup-boot-kms &>/dev/null || :
fi

%files
%doc LICENSE.* WHENCE
/lib/firmware/amdgpu/*.bin
/lib/firmware/radeon/*.bin


%changelog
* Wed Jul 20 2016 tmb <tmb> 20160712-1.mga5
+ Revision: 1042936
- update to 2016-07-12 snapshot
- update amdgpu firmware
- radeon: update CIK UVD firmware
- amdgpu: update CZ to new UVD fw that supports 40 sessions
- radeon:
  * update bonaire, hawaii, kabini, kaveri, mullins firmwares
- amdgpu:
  * update carrizo, fiji, stoney, tonga, topaz firmwares
  * add polaris10 and polaris11 firmwares
- update to 2016-02-19 snapshot
- amdgpu: add firmware for VI asics
- add Tahiti vce firmware

* Wed Mar 18 2015 tmb <tmb> 20150314-1.mga5.nonfree
+ Revision: 818807
- Update Kaveri MEC firmware to #396

* Wed Feb 04 2015 tmb <tmb> 20150204-1.mga5.nonfree
+ Revision: 813475
- update kaveri firmware for amdkfd support

* Mon Dec 01 2014 tmb <tmb> 20141106-1.mga5.nonfree
+ Revision: 800159
- update to 20141106

* Wed Oct 15 2014 umeabot <umeabot> 20140828-3.mga5.nonfree
+ Revision: 741394
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20140828-2.mga5.nonfree
+ Revision: 688600
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 tmb <tmb> 20140828-1.mga5.nonfree
+ Revision: 669498
- update to 2014-08-28

* Wed Jun 04 2014 tmb <tmb> 20140603-1.mga5.nonfree
+ Revision: 632985
- update to 2014-06-03

* Fri Jan 24 2014 tmb <tmb> 20140119-1.mga4.nonfree
+ Revision: 567733
- add ucode for HAWAII GPUs

* Mon Oct 14 2013 tmb <tmb> 20131013-1.mga4.nonfree
+ Revision: 497310
- add KAVERI firmware and BONAIRE smc code

* Thu Aug 01 2013 tmb <tmb> 20130626-2.mga4.nonfree
+ Revision: 462253
- require drakxtools-backend and drakx-kbd-mouse-x11 for post(un) scripts (mga #10667)

* Sun Jul 21 2013 tmb <tmb> 20130626-1.mga4.nonfree
+ Revision: 456872
- add *_smc.bin firmwares
- add BONAIRE and KABINI firmwares

* Tue Jul 09 2013 tmb <tmb> 20130624-1.mga4.nonfree
+ Revision: 452092
- add HAINAN firmwares
- add UVD firmwares for CYPRESS, SUMO, RV710, TAHITI
- update RLC firmware to cope with UVD for ARUBA, BTC, CAYMAN, CEDAR,
  CYPRESS, JUNIPER, PITCAIRN, R700, REDWOOD, SUMO, TAHITI, VERDE

* Wed Apr 24 2013 tmb <tmb> 20130421-1.mga3.nonfree
+ Revision: 411074
- add oland firmwares

* Tue Feb 19 2013 tmb <tmb> 20120322-5.mga3.nonfree
+ Revision: 399309
- dont regenerate initrd when in installer mode

* Sun Jan 13 2013 umeabot <umeabot> 20120322-4.mga3.nonfree
+ Revision: 380152
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 05 2012 anssi <anssi> 20120322-3.mga2.nonfree
+ Revision: 228622
- add/remove 'nokmsboot' boot option as appropriate when installing
  or uninstalling the package, depending on configured driver and
  hardware (see mga #3466)

* Thu Mar 22 2012 tmb <tmb> 20120322-2.mga2.nonfree
+ Revision: 225782
- fix conflicts against kernel-firmware(-nonfree)

* Thu Mar 22 2012 tmb <tmb> 20120322-1.mga2.nonfree
+ Revision: 225670
- add new firmwares:
  * PITCAIRN, TAHITI, VERDE (Southern Islands / HD7xxx)
  * ARUBA (trinity APU)

* Tue Mar 06 2012 tmb <tmb> 20120219-1.mga2.nonfree
+ Revision: 220090
- update to 2012-02-19 snapshot

* Mon Dec 19 2011 tmb <tmb> 20110601-4.mga2.nonfree
+ Revision: 184089
- rebuild initrds on initial install

* Tue Nov 08 2011 anssi <anssi> 20110601-3.mga2.nonfree
+ Revision: 165571
- add regular firmware for r100-r700 (moved from kernel-firmware)
- update summary, description and license tags

  + tmb <tmb>
    - add SUMO + SUMO2 firmwares for llano APUs

* Mon Mar 21 2011 tmb <tmb> 20110310-1.mga1
+ Revision: 75332
- Obsolete radeon-rlc-firmware
- Conflict old kernel-firmware-extra
- package renamed to radeon-firmware as in now carries all radeon
  firmware files previously shipped in kernel-firmware-extra
- rename spec to match package name
- rename to radeon-firmware

* Thu Mar 17 2011 tmb <tmb> 1-7.mga1
+ Revision: 73312
- add Cayman rlc firmware

* Tue Jan 25 2011 tmb <tmb> 1-6.mga1
+ Revision: 38947
- add BTC rlc firmware

* Sat Jan 15 2011 tmb <tmb> 1-5.mga1
+ Revision: 19487
- imported package radeon-rlc-firmware

